OpenCV: cv::ocl::Context Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
cv::ocl::Context Class Reference
Core functionality » OpenCL support

`#include "ocl.hpp"`

## Public Member Functions
| Context ()
| Context (int dtype)
| Context (const Context &c)
| ~Context ()
bool | create ()
bool | create (int dtype)
const Device & | device (size_t idx) const
Impl * | getImpl () const
Program | getProg (const ProgramSource &prog, const String &buildopt, String &errmsg)
size_t | ndevices () const
Context & | operator= (const Context &c)
void * | ptr () const
void | setUseSVM (bool enabled)
void | unloadProg (Program &prog)
bool | useSVM () const

## Static Public Member Functions
static Context & | getDefault (bool initialize=true)

## Public Attributes
Impl * | p

## Friends
void | initializeContextFromHandle (Context &ctx, void *platform, void *context, void *device)

## Constructor & Destructor Documentation

## ◆ Context() [1/3]

cv::ocl::Context::Context | ( |  | ) |

## ◆ Context() [2/3]

cv::ocl::Context::Context | ( | int | dtype | ) |
| explicit

## ◆ ~Context()

cv::ocl::Context::~Context | ( |  | ) |

## ◆ Context() [3/3]

cv::ocl::Context::Context | ( | const Context & | c | ) |

## Member Function Documentation

## ◆ create() [1/2]

bool cv::ocl::Context::create | ( |  | ) |

## ◆ create() [2/2]

bool cv::ocl::Context::create | ( | int | dtype | ) |

## ◆ device()

const Device& cv::ocl::Context::device | ( | size_t | idx | ) | const

## ◆ getDefault()

static Context& cv::ocl::Context::getDefault | ( | bool | initialize = `true` | ) |
| static

## ◆ getImpl()

Impl* cv::ocl::Context::getImpl | ( |  | ) | const
| inline

## ◆ getProg()

Program cv::ocl::Context::getProg | ( | const ProgramSource & | prog,
|  | const String & | buildopt,
|  | String & | errmsg
| ) |  |

## ◆ ndevices()

size_t cv::ocl::Context::ndevices | ( |  | ) | const

## ◆ operator=()

Context& cv::ocl::Context::operator= | ( | const Context & | c | ) |

## ◆ ptr()

void* cv::ocl::Context::ptr | ( |  | ) | const

## ◆ setUseSVM()

void cv::ocl::Context::setUseSVM | ( | bool | enabled | ) |

## ◆ unloadProg()

void cv::ocl::Context::unloadProg | ( | Program & | prog | ) |

## ◆ useSVM()

bool cv::ocl::Context::useSVM | ( |  | ) | const

## Friends And Related Function Documentation

## ◆ initializeContextFromHandle

void initializeContextFromHandle | ( | Context & | ctx,
|  | void * | platform,
|  | void * | context,
|  | void * | device
| ) |  |
| friend

## Member Data Documentation

## ◆ p

Impl* cv::ocl::Context::p

The documentation for this class was generated from the following file:

- core/include/opencv2/core/ocl.hpp